org.eclipse.mat.inspections.osgi

## Class BundleRegistryQuery.ExtensionTreeResult

- java.lang.Object
- - org.eclipse.mat.inspections.osgi.BundleRegistryQuery.BundleTreeResult
  - - org.eclipse.mat.inspections.osgi.BundleRegistryQuery.ExtensionTreeResult

All Implemented Interfaces:
  IIconProvider, IResult, IResultTree, IStructuredResult

Enclosing class:
  BundleRegistryQuery

    public static class BundleRegistryQuery.ExtensionTreeResult
    extends BundleRegistryQuery.BundleTreeResult

### Field Summary

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`ExtensionTreeResult(OSGiModel model)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<?>` `getChildren(Object parent)` Returns the child elements of the given parent.
`Column[]` `getColumns()` The columns of the tree or table.
`List<?>` `getElements()` Returns the root elements of the tree.
`BundleRegistryQuery.Grouping` `getGroupBy()`
`boolean` `hasChildren(Object element)` Returns whether the given element has children.

### Methods inherited from class org.eclipse.mat.inspections.osgi.BundleRegistryQuery.BundleTreeResult

`getColumnValue, getContext, getIcon, getModel, getResultMetaData`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtensionTreeResult

    public ExtensionTreeResult(OSGiModel model)

### Method Detail

#### getChildren

    public List<?> getChildren(Object parent)

Description copied from interface: `IResultTree`
Returns the child elements of the given parent.

Specified by:
  `getChildren` in interface `IResultTree`
Overrides:
  `getChildren` in class `BundleRegistryQuery.BundleTreeResult`
Parameters:
  `parent` - The row object as returned by the `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.

#### getElements

    public List<?> getElements()

Description copied from interface: `IResultTree`
Returns the root elements of the tree.

Specified by:
  `getElements` in interface `IResultTree`
Overrides:
  `getElements` in class `BundleRegistryQuery.BundleTreeResult`
Returns:
  list of elements which can be passed to `IResultTree.getChildren(Object)` or `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

#### hasChildren

    public boolean hasChildren(Object element)

Description copied from interface: `IResultTree`
Returns whether the given element has children.

Specified by:
  `hasChildren` in interface `IResultTree`
Overrides:
  `hasChildren` in class `BundleRegistryQuery.BundleTreeResult`

#### getGroupBy

    public BundleRegistryQuery.Grouping getGroupBy()

Overrides:
  `getGroupBy` in class `BundleRegistryQuery.BundleTreeResult`

#### getColumns

    public Column[] getColumns()

Description copied from interface: `IStructuredResult`
The columns of the tree or table.

Specified by:
  `getColumns` in interface `IStructuredResult`
Overrides:
  `getColumns` in class `BundleRegistryQuery.BundleTreeResult`